Bug 13085 - Icelandic issues
Icelandic issues
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
i386 Linux
high Severity high
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2000-06-26 19:03 EDT by Richard Allen
Modified: 2014-03-16 22:14 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-07-24 18:35:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Richard Allen 2000-06-26 19:03:05 EDT
This time round, the text based installer actually looks good.
It has the correct font and it also has the Icelandic keymap.
The graphical version however does NOT have the Icelandic keymap
and the translated (Icelandic) version of the online help
is missing.
If Im not mistaken then this is by far the oldest bug in Anaconda
because it's been around since the first beta of RH 6.0 all the
way to this date.
Could we PLEASE not close it this time here untill it has been
fixed ?
Comment 1 Michael Fulbright 2000-07-06 19:32:03 EDT
Could you please attach copies of the incorrect and corrected XF86Config files
so we could get this
straightened out? Thanks!
Comment 2 Michael Fulbright 2000-07-06 21:08:34 EDT
Comment 3 Richard Allen 2000-07-22 19:19:11 EDT
With all due respect to the person that closd this, As of beta 4 the
keymap still has not been added to the Graphical installer.

I repeat: The Icelandic (is) keymap is MISSING from the graphical
version of anaconda.
Comment 4 Michael Fulbright 2000-07-24 10:52:36 EDT
I thought I had fixed this problem - if you could explain what you think is
required for the fix I will be
happy to implement it. We do not have an Icelandic keyboard so it is really hard
to get this right without
Comment 5 Richard Allen 2000-07-24 11:49:01 EDT
What I think is necessay ?   The Icelandic keymap is included in XFree86 and
it's name is
"is".   Add a line in the GUI keymap selection screen for the "Iceland"  that
selects the "is"
keymap.   The Keyboard section in XF86Config has:

    XkbLayout       "is"

The keymap for the console (Text mode) is already in there (is-latin1) so you
dont have to
worry about text mode.
You can test this easily.  Pressing shift-7 should give you a "/" and pressing
the / key on the
US keyboard should give a "~" character.

Please dont hesitate to contact me for more info.
Comment 6 Richard Allen 2000-07-24 11:53:10 EDT
Dang nab it.   Bugzilla apparently doesnt like 8 bit chars either :) The / key
on the US keyboard with the "is" keymap loaded is not supposed to give a tilda
(~).  The character is called thorn.  Ascii drawing follows:

#    #

Hope bugzilla doesnt mess up ascii drawings ;)
Comment 7 Michael Fulbright 2000-07-24 18:35:17 EDT
I've looked into this further and the problem appears to be that this file


does not contain a definition for 'is'. As the installer queries the X server
for the available keymaps, it is not
getting the needed definition.

Assigning to the XFree86 package.
Comment 8 Bill Nottingham 2000-07-24 19:20:23 EDT
This should be fixed in XFree86-4.0.1-0.37, which should be in beta5.
Comment 9 Richard Allen 2000-07-24 20:44:46 EDT
Will you notify the XFree86 people or shall I ?

Thanks for resolving this :-)

Note You need to log in before you can comment on or make changes to this bug.